index

Varkon MBS Programmers manual

# tform_usrdef - Geometric procedure

## Description

Creates a user defined transformation. 16 coefficients of an arbitrary 4 by 4 transfomation matrix are supplied as the input.

## Syntax

      tform_usrdef(id, tmat:attributes);

REF | id;
FLOAT | tmat(4,4);

## Principal parameters

id | - Local identity
tmat | - 4 by 4 transformation matrix

## Optional parameters

None.

## Attributes

PEN | - Pen or colour number
LEVEL | - Level number
BLANK | - Visible(0) or invisible(1)

## See also

csys_usrdef() and pca

Varkon version 1.19C svn# 120